osgDB::AuthenticationDetails Class Reference

`#include <AuthenticationMap>`

Inheritance diagram for osgDB::AuthenticationDetails:

## Public Types

enum | HttpAuthentication { BASIC = 1<<0 , DIGEST = 1<<1 , NEGOTIATE = 1<<2 , GSSNegotiate = NEGOTIATE , NTLM = 1<<3 , DIGEST_IE = 1<<4 , NTLM_WB = 1<<5 , ONLY = 1<<31 , ANY = ~(DIGEST_IE) , ANYSAFE = ~(BASIC|DIGEST_IE) }

## Public Member Functions

| AuthenticationDetails (const std::string &u, const std::string &p, HttpAuthentication auth=BASIC)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

std::string | username
std::string | password
HttpAuthentication | httpAuthentication

## Protected Member Functions

virtual | ~AuthenticationDetails ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Enumeration Documentation

## HttpAuthentication

enum osgDB::AuthenticationDetails::HttpAuthentication

Http authentication techniques, see libcurl docs for details on names and associated functionality.

Enumerator
BASIC |
DIGEST |
NEGOTIATE |
GSSNegotiate |
NTLM |
DIGEST_IE |
NTLM_WB |
ONLY |
ANY |
ANYSAFE |

## Constructor & Destructor Documentation

## AuthenticationDetails()

osgDB::AuthenticationDetails::AuthenticationDetails | ( | const std::string & | u,
|  | const std::string & | p,
|  | HttpAuthentication | auth = BASIC )

inline

References BASIC, httpAuthentication, password, and username.

## ~AuthenticationDetails()

virtual osgDB::AuthenticationDetails::~AuthenticationDetails | ( |  | ) |

inline protected virtual

## Member Data Documentation

## httpAuthentication

HttpAuthentication osgDB::AuthenticationDetails::httpAuthentication

Referenced by AuthenticationDetails().

## password

std::string osgDB::AuthenticationDetails::password

Referenced by AuthenticationDetails().

## username

std::string osgDB::AuthenticationDetails::username

Referenced by AuthenticationDetails().

The documentation for this class was generated from the following file:

- AuthenticationMap